Index: npl/overig/texinfo/texinfo.SlackBuild.orig
===================================================================
--- npl/overig/texinfo/texinfo.SlackBuild.orig	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/overig/texinfo/texinfo.SlackBuild.orig	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,119 @@
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010, 2016  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=texinfo
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i586 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+  SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+  LIBDIRSUFFIX=""
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-texinfo
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+tar xvf $CWD/texinfo-$VERSION.tar.xz || exit 1
+cd texinfo-$VERSION
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --sysconfdir=/etc \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --mandir=/usr/man \
+  --infodir=/usr/info \
+  --disable-static \
+  --docdir=/usr/doc/texinfo-$VERSION \
+  --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG
+
+# Be sure this is "fresh"
+zcat $CWD/dir.gz > $PKG/usr/info/dir
+mv $PKG/usr/info/dir $PKG/usr/info/dir.new
+
+gzip -9 $PKG/usr/info/*info*
+gzip -9 $PKG/usr/man/man?/*
+
+mkdir -p $PKG/usr/doc/texinfo-$VERSION
+cp -a \
+  ABOUT-NLS AUTHORS COPYING* INSTALL NEWS README* TODO \
+  $PKG/usr/doc/texinfo-$VERSION
+chmod 644 $PKG/usr/doc/texinfo-$VERSION/*
+chown -R root:root $PKG/usr/doc/texinfo-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+  DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+  cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+  touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/texinfo-$VERSION-$ARCH-$BUILD.txz
+
Index: npl/overig/texinfo/texinfo.build
===================================================================
--- npl/overig/texinfo/texinfo.build	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/overig/texinfo/texinfo.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-6526
+1
Index: npl/overig/texinfo/texinfo.md5
===================================================================
--- npl/overig/texinfo/texinfo.md5	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/overig/texinfo/texinfo.md5	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,4 +1,10 @@
-6611b6f95a5f133aa52889be93bfbf31  ./texinfo-4.8a.tar.gz
-d9983f4ebdd10e623468db86ab4644d7  ./texinfo.pkg
-f0e0d0f996213f85828ba9603ff6393c  ./texinfo.SlackBuild
-89ab5b7ba125171525b7c051a09d4ffe  ./texinfo.SlackBuild.log.gz
+14d61404e37a5878082ef3afbc90f865  ./dir.gz
+240acba05475d478fd9a91f3a70d60a0  ./doinst.sh.gz
+2e8a2647daab018a9b40d0955d4c4c84  ./slack-desc
+32baefe5c7080dfb512a4eac5ce67b2a  ./texinfo-6.3.tar.xz
+aca1ba19ab06e46e07cb3db6cf7aa397  ./texinfo-6.3.tar.xz.sig
+a583159f66967f89a7b6a9b8dc7363ce  ./texinfo_dev.pkg
+3caa850f0c4292ae03375f6a5974bca0  ./texinfo.pkg
+3219fe79b770b213a942f494c0cb7f0a  ./texinfo.SlackBuild
+bb149b065c91f15792b6821b3a041322  ./texinfo.SlackBuild.log.gz
+95d5941cf27f573845a445e2643ec619  ./texinfo.SlackBuild.orig
Index: npl/overig/texinfo/texinfo.version
===================================================================
--- npl/overig/texinfo/texinfo.version	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/overig/texinfo/texinfo.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-4.8a
+6.3
Index: npl/overig/texinfo/texinfo_dev.arch
===================================================================
--- npl/overig/texinfo/texinfo_dev.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/overig/texinfo/texinfo_dev.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/texinfo/texinfo_dev.build
===================================================================
--- npl/overig/texinfo/texinfo_dev.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/overig/texinfo/texinfo_dev.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/texinfo/texinfo_dev.version
===================================================================
--- npl/overig/texinfo/texinfo_dev.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/overig/texinfo/texinfo_dev.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,1 @@
+6.3
Index: npl/syn3/backup/backup
===================================================================
--- npl/syn3/backup/backup	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/syn3/backup/backup	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,13 +1,7 @@
 #!/bin/bash
-#Backup script for Syn3 (C)DatuX 
+#Backup script for Syn3 (C)DatuX
 
 name='backup'
-source /etc/backup.conf || exit 1
-source $SCRIPTDIR/backuplib || exit 1
-
-#load additional backup config file?
-if [ -e "$BACKUP_CONF" ]; then
-	source $BACKUP_CONF || exit 1
-fi
+source /usr/backup/backuplib || exit 1
 
 
@@ -21,5 +15,5 @@
 		#nope, so exit cleanly
 		exit 0
-	fi	
+	fi
 fi
 
@@ -66,8 +60,8 @@
 	echo "INFO:Backup session ended"
 	exit $1
-}	
-
-
-	
+}
+
+
+
 echo "INFO: Backup session started at `date`"
 if [ "$1" == "now" ]; then
@@ -97,8 +91,8 @@
         ROOTFS=$SNAPMNT
     fi
-    
+
     #rsync the root+boot filesystem data
     echo "INFO: Collecting / and /boot ..."
-    rsync -ax -q --ignore-errors --numeric-ids --delete --exclude=/tmp/* --exclude=/dev/.udev /boot $ROOTFS/. "$BACKUPMNT/.syn3systembackup" 
+    rsync -ax -q --ignore-errors --numeric-ids --delete --exclude=/tmp/* --exclude=/dev/.udev /boot $ROOTFS/. "$BACKUPMNT/.syn3systembackup"
     err=$?
     #ignore some errors (partial transfers, vanishing files)
@@ -128,8 +122,8 @@
     #note: on redundant systems /dev/home points to /dev/drbd.. instead of /dev/syn3/home, so this is why we need this extra variable:
     Snapshot $SNAPSOURCEDEV || terminated
-    
+
     #unfreeze the databases
     unfreeze
-	
+
     echo "INFO: Checking snapshots."
     if ! SnapshotValid; then
@@ -152,5 +146,5 @@
         fi
     done
-    sync 
+    sync
     #dump the normal location.
     DUMPMNT=$BACKUPMNT
@@ -174,13 +168,13 @@
 	while true; do
 		if [ $mode == "smb" ]; then
-			xfsdump -e -o -p 10 -F - $resumeflag $OPTS $DUMPMNT | gzip --fast | smbclient --timeout 3600 -s /dev/null -c "put - $FILE" -U "$smbuser" -W "$smbdomain" "//$smbserver/$smbshare" "$smbpasswd" 
+			xfsdump -e -o -p 10 -F - $resumeflag $OPTS $DUMPMNT | gzip --fast | smbclient --timeout 3600 -s /dev/null -c "put - $FILE" -U "$smbuser" -W "$smbdomain" "//$smbserver/$smbshare" "$smbpasswd"
 			#also check xfsdump exit code to prevent samba exit-code bug: https://bugzilla.samba.org/show_bug.cgi?id=7551
-			if [ "$?${PIPESTATUS[0]}" != "00" ]; then 
+			if [ "$?${PIPESTATUS[0]}" != "00" ]; then
 				terminated
 			fi
 		elif [ $mode == "tape" ]; then
-			xfsdump -e -L "$FILE" -o -p 10 -F -f $TAPEDEV $resumeflag $OPTS $DUMPMNT 
+			xfsdump -e -L "$FILE" -o -p 10 -F -f $TAPEDEV $resumeflag $OPTS $DUMPMNT
 		elif [ $mode == "usbtape" ]; then
-			xfsdump -e -L "$FILE" -o -b 65536 -p 10 -F -f $TAPEDEV $resumeflag $OPTS $DUMPMNT 
+			xfsdump -e -L "$FILE" -o -b 65536 -p 10 -F -f $TAPEDEV $resumeflag $OPTS $DUMPMNT
 		elif [ $mode == "rsync" ]; then
 			export PASSWD="$rsyncpasswd"
@@ -198,5 +192,5 @@
 		else
 			echo "Backupmode $mode is unknown!";
-			terminated 
+			terminated
 		fi
 		if [ $? == 0 ]; then
@@ -229,9 +223,9 @@
 		fi
 	done
-) 2>&1 | 
+) 2>&1 |
 #analyse the output of the above block
-while read LINE; do 
+while read LINE; do
 	ProcXfsOutput "$LINE" || terminated
-done 
+done
 
 #did something go wrong?
Index: npl/syn3/backup/backuplib
===================================================================
--- npl/syn3/backup/backuplib	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/syn3/backup/backuplib	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,3 +1,11 @@
 #!/bin/bash
+
+source /etc/backup.conf || exit 1
+
+#load additional backup config file?
+if [ -e "$BACKUP_CONF" ]; then
+	source $BACKUP_CONF || exit 1
+fi
+
 
 #correct ssh command and parameters for rsync backups, to force passwords and disable pubkeyauthentication. (it seems wrong, but in this use-case it actually makes sense)
@@ -103,5 +111,5 @@
 CheckRunning()
 {
-	if [ `pgrep -o 'restore|backup'` != $$ ]; then
+	if [ `pgrep -xo 'restore|backup'` != $$ ]; then
 		echo "INFO: Backup/restore already running!";
 		exit 1
Index: npl/syn3/backup/cleanup
===================================================================
--- npl/syn3/backup/cleanup	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/syn3/backup/cleanup	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,7 +1,5 @@
 #!/bin/bash
-#Backup script for Syn3 (C)DatuX 
-source /etc/backup.conf || exit 1
-source $SCRIPTDIR/backuplib || exit 1
-
+#Backup script for Syn3 (C)DatuX
+source /usr/backup/backuplib || exit 1
 #skip cleanup for tapes
 if [ $mode == "tape" ]; then
@@ -33,5 +31,5 @@
 
 echo "INFO:Checking for old backups that can be deleted.."
-for FILE in `$SCRIPTDIR/list`; do 
+for FILE in `$SCRIPTDIR/list`; do
 	[ "$FILE" == "$SKIPFILE" ] && continue;
 
@@ -53,9 +51,9 @@
 			fi
 		fi
-		
+
 		#not in future?
-		if [ $STAMP -lt $NOW ]; then 
+		if [ $STAMP -lt $NOW ]; then
 			if [ $DEL == 1 ]; then
-				echo "INFO:Deleting $FILE"	
+				echo "INFO:Deleting $FILE"
 				$SCRIPTDIR/delete "$FILE" || exit 1
 			fi
Index: npl/syn3/backup/delete
===================================================================
--- npl/syn3/backup/delete	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/syn3/backup/delete	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,6 +1,5 @@
 #!/bin/bash
-#Backup script for Syn3 (C)DatuX 
-source /etc/backup.conf || exit 1
-source $SCRIPTDIR/backuplib || exit 1
+#Backup script for Syn3 (C)DatuX
+source /usr/backup/backuplib || exit 1
 
 FILE=$1
Index: npl/syn3/backup/list
===================================================================
--- npl/syn3/backup/list	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/syn3/backup/list	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,6 +1,5 @@
 #!/bin/bash
-#Backup script for Syn3 (C)DatuX 
-source /etc/backup.conf || exit 1
-source $SCRIPTDIR/backuplib || exit 1
+#Backup script for Syn3 (C)DatuX
+source /usr/backup/backuplib || exit 1
 cd /
 
@@ -16,8 +15,8 @@
     /usr/backup/sshpass rsync $RSYNC_SETTINGS --rsh "$SSHCMD" -v -R -n --no-implied-dirs "$rsyncserver:$rsyncdir/syn3backupmeta/syn3_*" /tmp/backupmetadummy/ > /tmp/syn3backuplastest.$$;
     RET_LATEST=$?
-    
-    /usr/backup/sshpass rsync $RSYNC_SETTINGS --rsh "$SSHCMD" -v -R -n --no-implied-dirs "$rsyncserver:$rsyncsnapdir/syn3backupmeta/syn3_*" /tmp/backupmetadummy/ > /tmp/syn3backupsnapshots.$$; 
+
+    /usr/backup/sshpass rsync $RSYNC_SETTINGS --rsh "$SSHCMD" -v -R -n --no-implied-dirs "$rsyncserver:$rsyncsnapdir/syn3backupmeta/syn3_*" /tmp/backupmetadummy/ > /tmp/syn3backupsnapshots.$$;
     RET_SNAPSHOTS=$?
-    
+
     #TODO: create a nice way to do error feedback (needs webint changes)
 
@@ -30,5 +29,5 @@
     [ "${rsyncdir:0:1}" == "/" ] && SLASH="/"
     [ "$RET_LATEST" == "0" ] && grep syn3_ /tmp/syn3backuplastest.$$ | sed "s@^@$SLASH@"
-    
+
     rm /tmp/syn3backuplastest.$$ /tmp/syn3backupsnapshots.$$
     exit 0
Index: npl/syn3/backup/listfiles
===================================================================
--- npl/syn3/backup/listfiles	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/syn3/backup/listfiles	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,6 +1,5 @@
 #!/bin/bash
-#Backup script for Syn3 (C)DatuX 
-source /etc/backup.conf || exit 1
-source $SCRIPTDIR/backuplib || exit 1
+#Backup script for Syn3 (C)DatuX
+source /usr/backup/backuplib || exit 1
 cd /
 
@@ -17,5 +16,5 @@
 		xfsrestore -p 10 -L "$FILE" -t -v 0 -f "$TAPEDEV" -F || exit 1;
 	elif [ $mode == "usbtape" ]; then
-		xfsrestore -p 10 -L "$FILE" -t -v 0 -f "$TAPEDEV" -F -b 65536  || exit 1; 
+		xfsrestore -p 10 -L "$FILE" -t -v 0 -f "$TAPEDEV" -F -b 65536  || exit 1;
 	else
 		echo "Backupmode $mode is unknown!";
@@ -24,5 +23,5 @@
 #Analyse the output of the above block
 #This will produce progress-information to filehandle 3 for the SCC to pickup.
-    tee "$FILELISTCACHEDIR/tmp" | 
+    tee "$FILELISTCACHEDIR/tmp" |
     grep --line-buffered "^xfsrestore:" | #only use lines that are important for procxfsoutput (because its slow!)
     while read LINE; do
@@ -34,5 +33,5 @@
 #filter the xfsrestore status messages from our precious listfile :)
 grep -v "^xfsrestore:" "$FILELISTCACHEDIR/tmp" > "$FILELISTCACHEDIR/$FILE" || exit 1
-rm "$FILELISTCACHEDIR/tmp" 
+rm "$FILELISTCACHEDIR/tmp"
 fi
 
Index: npl/syn3/backup/restore
===================================================================
--- npl/syn3/backup/restore	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/syn3/backup/restore	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,6 +1,5 @@
 #!/bin/bash
-#Restore script for Syn-3 (C)DatuX 
-source /etc/backup.conf || exit 1
-source $SCRIPTDIR/backuplib || exit 1
+#Restore script for Syn-3 (C)DatuX
+source /usr/backup/backuplib || exit 1
 
 FILE=$1
@@ -41,5 +40,5 @@
 syn3-state backup ALERT "Disaster restore started. Your system is unusable until the restore has completed."
 
-############################# 
+#############################
 echo "STAT:Preparing $BACKUPDEV"
 
@@ -79,5 +78,5 @@
 (
 	if [ $mode == "smb" ]; then
-		smbclient --timeout 3600 -s /dev/null --stderr -c "get $FILE -" -U "$smbuser" -W "$smbdomain" "//$smbserver/$smbshare" "$smbpasswd" | gunzip | xfsrestore -o -p 10 -F - $BACKUPMNT || terminated 
+		smbclient --timeout 3600 -s /dev/null --stderr -c "get $FILE -" -U "$smbuser" -W "$smbdomain" "//$smbserver/$smbshare" "$smbpasswd" | gunzip | xfsrestore -o -p 10 -F - $BACKUPMNT || terminated
 		[ "${PIPESTATUS[0]}" != "0" ] && terminated "Error while reading from fileserver."
 		exit 0
@@ -92,11 +91,11 @@
 	else
 		echo "Backupmode $mode is unknown!";
-		terminated 
+		terminated
 	fi
-) 2>&1 | 
+) 2>&1 |
 #analyse the output of the above block
-while read LINE; do 
+while read LINE; do
 	ProcXfsOutput "$LINE" || terminated
-done 
+done
 
 #something went wrong?
@@ -109,5 +108,5 @@
 #Look at: http://open.syn3.nl/syn3/trac/default/wiki/SynBackup for technical details.
 
-#we have a systembackup to restore? 
+#we have a systembackup to restore?
 if [ -e $BACKUPMNT/.syn3systembackup ]; then
 	#touch this file so the initrd will format / and /boot and copy the data there.
Index: npl/syn3/backup/restorefiles
===================================================================
--- npl/syn3/backup/restorefiles	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/syn3/backup/restorefiles	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,6 +1,5 @@
 #!/bin/bash
-#Backup script for Syn3 (C)DatuX 
-source /etc/backup.conf || exit 1
-source $SCRIPTDIR/backuplib || exit 1
+#Backup script for Syn3 (C)DatuX
+source /usr/backup/backuplib || exit 1
 
 FILENAME=$1;
@@ -30,5 +29,5 @@
 		smbclient --timeout 3600  -s /dev/null -c "get $FILENAME -" -U "$smbuser" -W "$smbdomain" "//$smbserver/$smbshare" "$smbpasswd"  |gunzip| eval xfsrestore -p 10 - -o -F $FILEPATHS "$DESTINATION" || exit 1;
 	elif [ $mode == "tape" ]; then
-		#echo xfsrestore -p 10 -L "$FILENAME" -o -F $FILEPATHS -f "$TAPEDEV" "$DESTINATION" 
+		#echo xfsrestore -p 10 -L "$FILENAME" -o -F $FILEPATHS -f "$TAPEDEV" "$DESTINATION"
 		eval xfsrestore -p 10 -L "$FILENAME" -o -F $FILEPATHS -f "$TAPEDEV" "$DESTINATION" || exit 1;
 	elif [ $mode == "usbtape" ]; then
@@ -37,8 +36,7 @@
 		echo "Backupmode $mode is unknown!";
 	fi
-) 2>&1 | 
+) 2>&1 |
 #analyse the output of the above block
-while read LINE; do 
+while read LINE; do
 	ProcXfsOutput "$LINE" || exit 1
 done
-
Index: npl/syn3/backup/syn3backup.build
===================================================================
--- npl/syn3/backup/syn3backup.build	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/syn3/backup/syn3backup.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-6548
+6551
Index: npl/syn3/backup/syn3backup.md5
===================================================================
--- npl/syn3/backup/syn3backup.md5	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/syn3/backup/syn3backup.md5	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,9 +1,9 @@
-ecf10c7e2ebe7c09da6bae104fb0b3ca  ./backup
+17d2ccbdcf7937a1ef1134ba7c4b0378  ./backup
 779c5c089a832327ff56b7db1d89ea25  ./backup.conf
-609916f5b9856ac6c00229628e959bf0  ./backuplib
-00f891dd773d85750d8212f0ba02e246  ./cleanup
-3cdeb17172997c4ecc3c27fa187b0fa1  ./delete
-fadfc8742aed0b81297765b9e4350e3f  ./list
-137c782694746269699bb022b6b647e9  ./listfiles
+c50d0f5338e24eb7e4943557589fd562  ./backuplib
+5fd22ce56460e9ab76641f1f322bd30f  ./cleanup
+a65357fe969b583c6220300ae54316b4  ./delete
+b97e0e1bf8be8787d71c763f8fd56550  ./list
+8964fa790326d3924faf0a3a0253fe56  ./listfiles
 2016cc75fdc0fc52998a1d2291395879  ./modules/mysql.backup
 b07c8333373794830b95567130ffd821  ./modules/mysql.freeze
@@ -22,9 +22,9 @@
 cc0682867de94c1ccb2163e2fb1856e8  ./post.backup
 7158d3d4117bda9ee72ff6542bd141d7  ./post.restore
-5c6a3e0a4f34e7e9a30c534a4e3e44c5  ./restore
-a5c8f09a59ffb86f65344f20926f1b61  ./restorefiles
+bd04ec4ba9f753e1b36ecaec9be394e2  ./restore
+b42907f76531300850bad1104e2f6bdf  ./restorefiles
 478387d5e8c95cee3c270858e930b2ba  ./sshpass
-02c74cd009a095c929b0f182fe837990  ./syn3backup.pkg
+1dcce0b997d0c2b5568c564f86d38ff2  ./syn3backup.pkg
 6e3b8805854d12fd1b73056e96357640  ./syn3backup.SlackBuild
-0c7e2234bb90f7a43a8e9fd1b053eea5  ./syn3backup.SlackBuild.log.gz
+815f0fb042703caf20ef9cc1d31a1319  ./syn3backup.SlackBuild.log.gz
 ac50b66df20fa5fee5fb8ec431ede26e  ./updatelang.sh
Index: npl/syn3/syn3-scripts/scripts/syn3-heartbeatcheck
===================================================================
--- npl/syn3/syn3-scripts/scripts/syn3-heartbeatcheck	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/syn3/syn3-scripts/scripts/syn3-heartbeatcheck	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -7,5 +7,7 @@
 #We want to use drbd with heartbeat at all?
 if [ "$DRBD" == "1" ] && [ "$CLUSTER_ID" ]; then
-
+	#we want to receive/send heartbeats:
+	ifconfig $ETH up
+	
 	if HEARTBEATS="`syndog $CLUSTER_ID --cat`"; then
 
Index: npl/syn3/syn3-scripts/scripts/syn3-state
===================================================================
--- npl/syn3/syn3-scripts/scripts/syn3-state	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/syn3/syn3-scripts/scripts/syn3-state	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -63,5 +63,5 @@
 	retries=3;
 	if ! env MIBS="+SYN3-MIB" /usr/bin/snmptrap -v 2c -Ci -r $retries -c $snmptrap_community $snmptrap_receiver "" syn3FacilityTrap syn3FacilityName s "$TRAP_FACILITY" syn3FacilityStatus s "$TRAP_STATE" syn3FacilityDescription s "$TRAP_MSG" syn3FacilityAck s "$TRAP_ACK" &>/dev/null; then
-		exit 3;
+		echo "Error while sending snmptrap"
 	fi
 	return 0;
Index: npl/syn3/webint/src/backup/syn3backup.php
===================================================================
--- npl/syn3/webint/src/backup/syn3backup.php	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/syn3/webint/src/backup/syn3backup.php	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -54,5 +54,5 @@
 	#try to create a directory and use all the rsync options we need, to make sure everything works
 	mkdir("/tmp/syn3backuptest");
-	$ret=Cmd("PASSWD='$new_rsyncpasswd' /usr/backup/sshpass rsync --rsh 'ssh -p $new_rsyncport -o NumberOfPasswordPrompts=1 -o StrictHostKeyChecking=no -o PubkeyAuthentication=no' -r --rsync-path='rsync --fake-super' /tmp/syn3backuptest/ '$new_rsyncserver:$new_rsyncdir/syn3backupmeta'", 
+	$ret=Cmd("PASSWD='$new_rsyncpasswd' /usr/backup/sshpass rsync --rsh 'ssh -p $new_rsyncport -o NumberOfPasswordPrompts=1 -o StrictHostKeyChecking=no -o PubkeyAuthentication=no' -r --rsync-path='rsync --fake-super' /tmp/syn3backuptest/ '$new_rsyncserver:$new_rsyncdir/syn3backupmeta'",
 			 '', $out, $err);
 	rmdir("/tmp/syn3backuptest");
@@ -70,5 +70,5 @@
 	global $bcksettings;
 	$raw=FileRead($bcksettings[LOG]);
-	if (!Cmd("pgrep -o 'restore|backup'", '', $out, $err))
+	if (!Cmd("pgrep -xo 'restore|backup'", '', $out, $err))
 	{
 		$running=1;
Index: npl/syn3/webint/src/error.php
===================================================================
--- npl/syn3/webint/src/error.php	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/syn3/webint/src/error.php	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,13 +1,13 @@
-<? 
+<?
 /** Functions to validate user input a generate apporiate messages.
  *
- * These functions will check the given parameters and return false 
+ * These functions will check the given parameters and return false
  * if everything is allright. If something is wrong it will return an
  * errorstring that explains whats wrong in the users own language.
  * @package forms
- */ 
+ */
 
 	require_once("common.php");
-	
+
 	/** Check if filename name is valid.
 	 * Returns false if its valid
@@ -27,7 +27,7 @@
 	}
 
-	
+
 	/** Check if the tcp/ip $port number is valid.
-	 * 
+	 *
 	 * Returns false if its valid.
 	 * Returns a descriptive error message if its invalid.
@@ -36,11 +36,11 @@
 	{
 		if (!$port)
-			return (_ErrorPortnumberIsRequired());	
+			return (_ErrorPortnumberIsRequired());
 		elseif (!ValidPort($port))
-			return (_ErrorPortnumberIsInvalid($port));	
-		else
-			return false;
-	}
-	
+			return (_ErrorPortnumberIsInvalid($port));
+		else
+			return false;
+	}
+
 	/** Check if the ip address $ip is valid.
 	 *
@@ -51,7 +51,7 @@
 	{
 		if (!$ip)
-			return (_ErrorIPAdressIsRequired());	
+			return (_ErrorIPAdressIsRequired());
 		elseif (!ValidIP($ip))
-			return (_ErrorIPAdressIsInvalid($ip));	
+			return (_ErrorIPAdressIsInvalid($ip));
 		else
 			return false;
@@ -66,11 +66,25 @@
 	{
 		if (!$netmask)
-			return (_ErrorNetmaskIsRequired());	
+			return (_ErrorNetmaskIsRequired());
 		elseif (!ValidNetmask($netmask))
-			return (_ErrorNetmaskIsInvalid($netmask));	
-		else
-			return false;
-	}
-
+			return (_ErrorNetmaskIsInvalid($netmask));
+		else
+			return false;
+	}
+
+    /** Check if CIDR subnet is valid. Format is 10.0.0.0/24
+	 *
+	 * Returns false if its valid.
+	 * Returns a descriptive error message if its invalid.
+	 */
+	function Error_ValidSubnet($subnet)
+	{
+		if (!$subnet)
+			return (_ErrorSubnetIsRequired());
+		elseif (!ValidSubnet($subnet))
+			return (_ErrorSubnetIsInvalid($subnet));
+		else
+			return false;
+	}
 
 	/** Check if mac is valid. Format is HEXHEX:HEXHEX:HEXHEX:HEXHEX:HEXHEX:HEXHEX
@@ -89,5 +103,5 @@
 	}
 
-		 
+
 	/** Check if hostname is valid. A hostname has a minimum of 1 field.
 	 *
@@ -98,7 +112,7 @@
 	{
 		if (!$hostname)
-			return (_ErrorHostnameIsRequired());	
+			return (_ErrorHostnameIsRequired());
 		elseif (!ValidHostname($hostname))
-			return (_ErrorHostnameIsInvalid($hostname));	
+			return (_ErrorHostnameIsInvalid($hostname));
 		else
 			return false;
@@ -113,12 +127,12 @@
 	{
 		if (!$hostname)
-			return (_ErrorFQDNIsRequired());	
+			return (_ErrorFQDNIsRequired());
 		elseif (!ValidFQDN($hostname))
-			return (_ErrorFQDNIsInvalid($hostname));	
-		else
-			return false;
-	}
-
-		 
+			return (_ErrorFQDNIsInvalid($hostname));
+		else
+			return false;
+	}
+
+
 	/** Check if $address is a valid hostname OR ip adress.
 	 *
@@ -131,5 +145,5 @@
 			return (_ErrorHostnameOrIpAddressIsRequired());
 		elseif (!ValidHostname($address) && !ValidIp($address))
-			return (_ErrorInvalidHostnameOrIpAddress($address));	
+			return (_ErrorInvalidHostnameOrIpAddress($address));
 		else
 			return false;
@@ -144,12 +158,12 @@
 	{
 		if (!$domain)
-			return (_ErrorDomainIsRequired());	
+			return (_ErrorDomainIsRequired());
 		elseif (!ValidDomain($domain))
-			return (_ErrorDomainIsInvalid($domain));	
-		else
-			return false;
-	}
-
-	
+			return (_ErrorDomainIsInvalid($domain));
+		else
+			return false;
+	}
+
+
 	/** Check if $address:$port is actually connectable.
 	 *
@@ -163,5 +177,5 @@
 		if ($err)
 			return $err;
-	
+
 		$err=TestConnect($address,$port,$timeout);
 		if ($err)
@@ -170,5 +184,5 @@
 			return false;
 	}
-	
+
 	/** Check if email adress is valid.
 	 *
@@ -178,8 +192,8 @@
 	function Error_ValidEmail($address)
 	{
-		preg_match("/(.*)\@(.*)/",$address,$matches);	
+		preg_match("/(.*)\@(.*)/",$address,$matches);
 		$name=$matches[1];
 		$domain=$matches[2];
-		
+
 		if (!$domain)
 			return (_ErrorEmailAddressIsRequired());
@@ -187,5 +201,5 @@
 			return (_ErrorInvalidMailDomain($domain));
 		elseif (!ValidEmail($address))
-			return (_ErrorInvalidEmailAddress($address));	
+			return (_ErrorInvalidEmailAddress($address));
 		else
 			return false;
@@ -200,11 +214,11 @@
 	{
 		if (!$share)
-			return (_ErrorSharenameIsRequired());	
+			return (_ErrorSharenameIsRequired());
 		elseif (!ValidSmbShareName($share))
-			return (_ErrorSharenameIsInvalid($share));	
-		else
-			return false;
-	}
-	
+			return (_ErrorSharenameIsInvalid($share));
+		else
+			return false;
+	}
+
 	/** Check if $integer is a valid number between $min and $max inclusive
 	 *
@@ -222,9 +236,9 @@
 		elseif(is_numeric($max) && $integer>$max)
 			return(_ErrorIntToHigh($max));
-		else 
-			return false;
-		
-	}
-	
+		else
+			return false;
+
+	}
+
 	/** Check if $choice exists in the $choices hash array
 	 *
@@ -236,6 +250,5 @@
 		if(! isset($choices[$choice]))
 			return (_ErrorValidChoiceIsRequired());
-		else 
-			return false;
-	}
-	
+		else
+			return false;
+	}
Index: npl/syn3/webint/src/lang_de.php
===================================================================
--- npl/syn3/webint/src/lang_de.php	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/syn3/webint/src/lang_de.php	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -125,9 +125,9 @@
 
 function _ErrorFilenameIsInvalid($a="",$b="",$c="",$d="") { return (
-	"_ErrorFilenameIsInvalid($a,$b,$c,$d)"
+	"Filename has invalid characters"
 );}
 
 function _ErrorFilenameIsRequired($a="",$b="",$c="",$d="") { return (
-	"_ErrorFilenameIsRequired($a,$b,$c,$d)"
+	"Enter filename"
 );}
 
@@ -244,4 +244,12 @@
 );}
 
+function _ErrorSubnetIsInvalid($a="",$b="",$c="",$d="") { return (
+	"Invalid subnet (use CIDR format, e.g. 10.0.0.0/24)"
+);}
+
+function _ErrorSubnetIsRequired($a="",$b="",$c="",$d="") { return (
+	"Subnet is required (in CIRD form)"
+);}
+
 function _ErrorValidChoiceIsRequired($a="",$b="",$c="",$d="") { return (
 	"You need to make a valid choice!"
Index: npl/syn3/webint/src/lang_deD.php
===================================================================
--- npl/syn3/webint/src/lang_deD.php	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/syn3/webint/src/lang_deD.php	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -124,10 +124,10 @@
 );}
 
-function _ErrorFilenameIsInvalid($a="",$b="",$c="",$d="") { LangDebug("_ErrorFilenameIsInvalid($a,$b,$c,$d)", "http://www.syn-3.nl/mosaddphp/translate/editlang.php?src_lang=en&add_langID=de&add_labelID=_ErrorFilenameIsInvalid");return (
-	"_ErrorFilenameIsInvalid($a,$b,$c,$d)"
-);}
-
-function _ErrorFilenameIsRequired($a="",$b="",$c="",$d="") { LangDebug("_ErrorFilenameIsRequired($a,$b,$c,$d)", "http://www.syn-3.nl/mosaddphp/translate/editlang.php?src_lang=en&add_langID=de&add_labelID=_ErrorFilenameIsRequired");return (
-	"_ErrorFilenameIsRequired($a,$b,$c,$d)"
+function _ErrorFilenameIsInvalid($a="",$b="",$c="",$d="") { LangDebug("Filename has invalid characters", "http://www.syn-3.nl/mosaddphp/translate/editlang.php?src_lang=en&add_langID=de&add_labelID=_ErrorFilenameIsInvalid");return (
+	"Filename has invalid characters"
+);}
+
+function _ErrorFilenameIsRequired($a="",$b="",$c="",$d="") { LangDebug("Enter filename", "http://www.syn-3.nl/mosaddphp/translate/editlang.php?src_lang=en&add_langID=de&add_labelID=_ErrorFilenameIsRequired");return (
+	"Enter filename"
 );}
 
@@ -244,4 +244,12 @@
 );}
 
+function _ErrorSubnetIsInvalid($a="",$b="",$c="",$d="") { LangDebug("Invalid subnet (use CIDR format, e.g. 10.0.0.0/24)", "http://www.syn-3.nl/mosaddphp/translate/editlang.php?src_lang=en&add_langID=de&add_labelID=_ErrorSubnetIsInvalid");return (
+	"Invalid subnet (use CIDR format, e.g. 10.0.0.0/24)"
+);}
+
+function _ErrorSubnetIsRequired($a="",$b="",$c="",$d="") { LangDebug("Subnet is required (in CIRD form)", "http://www.syn-3.nl/mosaddphp/translate/editlang.php?src_lang=en&add_langID=de&add_labelID=_ErrorSubnetIsRequired");return (
+	"Subnet is required (in CIRD form)"
+);}
+
 function _ErrorValidChoiceIsRequired($a="",$b="",$c="",$d="") { LangDebug("You need to make a valid choice!", "http://www.syn-3.nl/mosaddphp/translate/editlang.php?src_lang=en&add_langID=de&add_labelID=_ErrorValidChoiceIsRequired");return (
 	"You need to make a valid choice!"
